# $Revision: 1.23 $, $Date: 2009/02/27 21:23:28 $
Summary:	Common C++ class framework for RTP/RTCP
Summary(pl.UTF-8):	Szkielet klas C++ dla RTP/RTCP
Name:		ccrtp
Version:	1.7.1
Release:	1
License:	GPL
Group:		Libraries
Source0:	http://ftp.gnu.org/gnu/ccrtp/%{name}-%{version}.tar.gz
# Source0-md5:	9f5d34a18f2c1c779d2e5818cc4987f8
Patch0:		%{name}-gcc4.patch
Patch1:		%{name}-lt.patch
URL:		http://www.gnu.org/software/ccrtp/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	commoncpp2-devel >= 1.7.1
BuildRequires:	doxygen
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ccRTP is a generic, extensible and efficient C++ framework for
developing applications based on the Real-Time Transport Protocol
(RTP) from the IETF. It is based on Common C++ and provides a full
RTP/RTCP stack for sending and receiving of realtime data by the use
of send and receive packet queues. ccRTP supports unicast,
multi-unicast and multicast, manages multiple sources, handles RTCP
automatically, supports different threading models and is generic as
for underlying network and transport protocols.

%description -l pl.UTF-8
ccRTP jest ogólnym, rozszerzalnym i efektywnym szkieletem C++ do
rozwijania aplikacji bazujących na transporcie czasu rzeczywistego
(RTP) z IETF. Bazuje na Common C++ i udostępnia pełen stos RTP/RTCP do
wysyłania i odbierania danych w czasie rzeczywistym z użyciem kolejek
wysyłania i odbierania pakietów. ccRTP obsługuje unicasty,
multi-unicasty i multicasty, zarządza wieloma źródłami, obsługuje
automatycznie RTCP, wspiera różne modele wątkowania i jest ogólny dla
podstawowych sieci i protokołów transportowych.

%package devel
Summary:	Header files for ccrtp library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki ccrtp
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	commoncpp2-devel

%description devel
Header files for ccrtp library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki ccrtp.

%package static
Summary:	Static ccrtp library
Summary(pl.UTF-8):	Statyczna biblioteka ccrtp
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static ccrtp library.

%description static -l pl.UTF-8
Statyczna biblioteka ccrtp.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING COPYING.addendum README
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*

%files devel
%defattr(644,root,root,755)
%doc doc/html/*.html doc/html/*.*g*
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/ccrtp
%{_pkgconfigdir}/*.pc
%{_infodir}/*.info*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ccrtp.spec,v $
Revision 1.23  2009/02/27 21:23:28  arekm
- up to 1.7.1

Revision 1.22  2008/12/19 21:18:00  arekm
- up to 1.7.0

Revision 1.21  2008/08/23 11:26:18  qboosh
- unified ftp.gnu.org URL

Revision 1.20  2008/08/23 11:00:55  arekm
- up to 1.6.2

Revision 1.19  2008-01-16 07:27:31  arekm
- rel 2

Revision 1.18  2007-12-31 01:39:45  zbyniu
- up to 1.6.0

Revision 1.17  2007-06-14 18:15:42  arekm
- rel 2

Revision 1.16  2007/02/12 21:23:50  glen
- tabs in preamble

Revision 1.15  2007/02/12 00:48:41  baggins
- converted to UTF-8

Revision 1.14  2007/01/13 15:27:30  qboosh
- automake -f already updates config.sub

Revision 1.13  2007/01/04 10:28:13  tommat
- turn on regeneration

Revision 1.12  2007/01/02 11:05:26  arekm
- up to 1.5.1

Revision 1.11  2006/11/10 09:39:00  arekm
- up to 1.5.0

Revision 1.10  2006/04/28 07:37:01  arekm
- enforce new version of commoncpp2-devel in BR

Revision 1.9  2006/04/25 19:39:30  pluto
- gcc4 fix, release 3.1.

Revision 1.8  2006/04/25 16:18:19  arekm
- rebuild

Revision 1.7  2006/04/25 06:28:34  arekm
- rel 2; rebuild

Revision 1.6  2006/04/24 21:52:20  arekm
- up to 1.3.7

Revision 1.5  2005/12/09 22:26:36  undefine
- up to 1.3.6

Revision 1.4  2005/11/22 02:40:36  charles
- updated to 1.3.5

Revision 1.3  2005/09/19 22:18:09  qboosh
- cosmetics, avoid packaging info/dir

Revision 1.2  2005/09/07 21:26:30  undefine
- pl description

Revision 1.1  2005/09/07 14:53:28  undefine
- initial
